# Niver system images generator

This is the sources to build system images of Niver using mkosi. You can then use them with systemd-nspawn.

This generator allows to build images for both Arch Linux and Debian Testing, you can replace `<sysid>` by either `arch` or `debian` in the following examples. Note that mkosi may require tools that are not available on your distribution.

You can generate a new image in `/var/lib/machines/niver-<sysid>` by running `mkosi --force -d <sysid>` from this directory (`--force` will erase an already existing image).

You will need to copy `mkosi.nspawn` into `/etc/systemd/nspawn/niver-<sysid>.nspawn` to allow the container to use network without restrictions.

You can then boot the container:
```
machinectl start niver-<sysid>
machinectl shell niver-<sysid>
```

The full explanation of the structure in this repository can be found on the mkosi manpage. Here is a summary of what mkosi will do in this repository:

1. Load configuration from `mkosi.default` and `mkosi.default.d/<sysid>/mkosi.default`
2. Add `mkosi.skeleton`
3. Install packages according to configuration
4. Run `mkosi.prepare`
5. Add `mkosi.extra`
6. Run `mkosi.postinst`
